# define if building an svn snapshot
%define svnsnap 09745

Summary: CLAM - C++ Library for Audio and Music
Name: clam
Version: 0.99.0
Release: 1%{?svnsnap:.%{svnsnap}}%{?dist}
License: GPL
URL: http://clam.iua.upf.edu
Group: System Environment/Libraries
Source0: http://clam.iua.upf.edu/download/src/CLAM-%{version}%{?svnsnap:~svn%{svnsnap}}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: scons qt-devel libxml++-devel ladspa-devel 
BuildRequires: libsndfile-devel libogg-devel libvorbis-devel libmad-devel
BuildRequires: id3lib-devel alsa-lib-devel jack-audio-connection-kit-devel
BuildRequires: fltk-devel
%if "%{fedora}" >= "5"
BuildRequires: fftw2-devel
%else
BuildRequires: fftw-devel
%endif

%description
CLAM is a framework to develop audio and music applications in C++.
It provides tools to perform advanced analysis, transformations and synthesis,
visualization for audio and music related objects, and other tools that are
useful to abstract target platform for most tasks in an audio applications
such as audio devices, file formats, threading...

%package devel
Summary: CLAM - C++ Library for Audio and Music - development files
Group: Development/Libraries
Requires: clam = %{version}

%description devel
CLAM is a framework to develop audio and music applications in C++.
It provides tools to perform advanced analysis, transformations and synthesis,
visualization for audio and music related objects, and other tools that are
useful to abstract target platform for most tasks in an audio applications
such as audio devices, file formats, threading...

This package includes the development files

%prep
%setup -q -n CLAM-%{version}%{?svnsnap:~svn%{svnsnap}}

%build
cd scons/libs
scons configure xmlbackend=xmlpp with_osc_support=no release=1
scons prefix=%{_prefix}

%install
%{__rm} -rf %{buildroot}
cd scons/libs
mkdir -p %{buildroot}%{_prefix}
scons install prefix=%{buildroot}%{_prefix}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES INSTALL
%{_libdir}/*.so.*
%{_libdir}/pkgconfig
%{_datadir}/clam

%files devel
%{_includedir}/CLAM
%{_libdir}/*.so

%changelog
* Fri Feb 23 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.99.0-1.09745
- updated to svn09745

* Wed Feb 21 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.99.0-1
- updated to 0.99.0

* Fri Jun 30 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.91.0-1
- split application packages into separate spec files for Planet CCRMA
- properly split shared libraries between main package and devel package
- added ldconfig post and postun scripts
- fixed file list
- add requires to the devel package

* Mon May 21 2006 CLAM Team <clam@iua.upf.edu> 
- First try

